<?php

namespace Drupal\dkan_reference_fix\Element;

use Drupal\Core\Security\TrustedCallbackInterface;

class Select2Override implements TrustedCallbackInterface {
  public static function preRenderSelect($element): array {
    if (isset ($element['#select2_tags']) && $element['#select2_tags'] === 'false') {
      $element['#attributes']['data-select2-config']['tags'] = false;
    }
    return $element;
  }

  public static function trustedCallbacks()
  {
    return [
      'preRenderSelect'
    ];
  }
}
